List repositories
curl --request GET \
--url https://app.launchdarkly.com/api/v2/code-refs/repositories \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/code-refs/repositories"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/code-refs/repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_links": {},
"items": [
{
"name": "LaunchDarkly-Docs",
"type": "github",
"defaultBranch": "main",
"enabled": true,
"version": 3,
"_links": {},
"sourceLink": "https://github.com/launchdarkly/LaunchDarkly-Docs",
"commitUrlTemplate": "https://github.com/launchdarkly/LaunchDarkly-Docs/commit/${sha}",
"hunkUrlTemplate": "https://github.com/launchdarkly/LaunchDarkly-Docs/blob/${sha}/${filePath}#L${lineNumber}",
"branches": [
{
"name": "main",
"head": "a94a8fe5ccb19ba61c4c0873d391e987982fbbd3",
"syncTime": "1636558831870",
"_links": {},
"updateSequenceId": 25,
"references": [
{
"path": "/main/index.js",
"hunks": [
{
"startingLineNumber": 45,
"lines": "var enableFeature = 'enable-feature';",
"projKey": "default",
"flagKey": "enable-feature",
"aliases": [
"enableFeature",
"EnableFeature"
]
}
],
"hint": "javascript"
}
]
}
],
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
}
}
]
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}List repositories
Get a list of connected repositories. Optionally, you can include branch metadata with the withBranches query parameter. Embed references for the default branch with ReferencesForDefaultBranch. You can also filter the list of code references by project key and flag key.
GET
/
api
/
v2
/
code-refs
/
repositories
List repositories
Authorizations
Query Parameters
If set to any value, the endpoint returns repositories with associated branch data
If set to any value, the endpoint returns repositories with associated branch data, as well as code references for the default git branch
A LaunchDarkly project key. If provided, this filters code reference results to the specified project.
If set to any value, the endpoint returns repositories with associated branch data, as well as code references for the default git branch